from setuptools import setup, find_packages

with open("README.md", "r", encoding="utf-8") as fh:
    long_description = fh.read()

with open("requirements.txt", "r", encoding="utf-8") as fh:
    requirements = [line.strip() for line in fh if line.strip() and not line.startswith("#")]

setup(
    name="pyntrest",
    version="1.0.0",
    author="redmoon0x",
    description="A Pinterest image search and download client",
    long_description=long_description,
    long_description_content_type="text/markdown",
    url="https://github.com/redmoon0x/pynterest",
    packages=find_packages(),
    include_package_data=True,
    package_data={
        "pyntrest": ["web/static/*", "web/static/**/*"],
    },
    classifiers=[
        "Programming Language :: Python :: 3",
        "License :: OSI Approved :: MIT License",
        "Operating System :: OS Independent",
    ],
    python_requires=">=3.7",
    install_requires=requirements,
    entry_points={
        "console_scripts": [
            "pyntrest-search=pyntrest.cli:main",
            "pyntrest-server=pyntrest.api.server:run",
        ],
    },
)
